<template>
    <q-form>
        <q-input input-class="text-bold" :style="{ width: '100%' }" v-model="searchTermOnStore" outlined label-color="dark" label="Buscar por um item na loja" bg-color="white">
            <template v-slot:append>
                <q-icon name="search"></q-icon>
            </template>
        </q-input>
    </q-form>
</template>

<script setup>
import {ref, watch} from "vue";
import {useSearchStore} from "../stories/searchStore";

const searchTermOnStore = ref();
const searchStore = useSearchStore();

watch(() => searchTermOnStore.value, (newValue) => {
    searchStore.updateStore(newValue);
})
</script>
